
import { ModuleOptions, ModuleHooks } from './module'

declare module '@nuxt/schema' {
  interface NuxtConfig { ['graphqlMiddleware']?: Partial<ModuleOptions> }
  interface NuxtOptions { ['graphqlMiddleware']?: ModuleOptions }
  interface NuxtHooks extends ModuleHooks {}
}


export { GraphqlMiddlewareServerOptions, ModuleHooks, ModuleOptions, default } from './module'
